---
search:
  tags:
    - Redirects
    - PATCH
seo:
  description: >-
    Updates an existing redirect's properties… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/redirects/{redirect_id} endpoint in the
    Management API.
sidebar:
  label: Update a redirect
  badge: PATCH
title: Update a redirect
type: openapi-operation
---
Updates an existing redirect's properties including old slug, new slug, type, and locale

`PATCH /api/v1/{team_slug}/{app_slug}/redirects/{redirect_id}`

**Request body** (`application/json`, required)

Redirect payload

- `item_id` (string)
- `locale` (string, required)
- `new_slug` (string, required)
- `old_slug` (string, required)
- `type` (github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType)

Request body example:

```json
{
  "item_id": "string",
  "locale": "string",
  "new_slug": "string",
  "old_slug": "string",
  "type": "product"
}
```

**Responses**

- `200` — Redirect created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "id": "string",
    "item_id": "string",
    "locale": "string",
    "new_slug": "string",
    "old_slug": "string",
    "type": "product"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
